<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{194,34,1040,642}</property>
    <property name="Name">[hc_retdi_cob]</property>
    <property name="Caption">[Posicao de Debito]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Courier New" width="0" height="-12" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Local]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.T.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="Variables">{modus}</property>
    <property name="FromStyle">[Popup]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="nBackColor">16777215</property>
    <property name="Icon">[]</property>
    <property name="Bitmap">[icon\tela.jpg]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.F.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.F.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onFormInit">
    <![CDATA[parameters o, p1
modus:=p1]]>
  </method>
  <method name="onDlgInit">
    <![CDATA[//skel Variavel zOpcaoEmail := 1
//skel Variavel zDiasParaProxRetorno := if(m_Dt_Previst-s_Datual>0,m_Dt_Previst-s_Datual,0)
//skel Variavel zCrObs := ""
//skel Variavel m0Dt_Previst := m_Dt_Previst
//skel Variavel m0Hr_Previst := m_Hr_Previst
//skel Variavel m0CodAssunto := m_CodAssunto
//skel Variavel m0Situacao := m_Situacao
//skel Variavel m0fVendRetor := m_fVendRetor

//skel COMANDO DEPOIS #TEXTO_FONTE
//skel IF !Empty(zCrObs) .or. zOpcaoEmail<>1 .or. m0Dt_Previst<>m_Dt_Previst .or. m0Hr_Previst<>m_Hr_Previst .or. m0CodAssunto<>m_CodAssunto .or. m0Situacao<>m_Situacao
//skel    se .not. xFile(r_siga+"HC_RETMV"+".dbf") entao xDbCreateFromStr("HC_RETMV","HC_RETMV")
//skel    ABRA("0NOIDX", r_siga, "HC_RETMV", "HC_RETMV", "HC_RETMV", "IDOS")
//skel    appendblank()
//skel    _field->IdOs := m_idos
//skel    _field->data := s_datual
//skel    _field->hora := TIME()

//skel    _field->Cod0Assunt := m0CodAssunto
//skel    _field->f0VendReto := m0fVendRetor
//skel    _field->Dt0Previst := m0Dt_Previst
//skel    _field->Hr0Previst := m0Hr_Previst
//skel    _field->Situacao0 := m0Situacao

//skel    _field->IdOperador := m_idOperador
//skel    _field->CodAssunto := m_CodAssunto
//skel    _field->fVendedor := m_fVendedor
//skel    _field->fVendRetor := m_fVendRetor
//skel    _field->Dt_Previst := m_Dt_Previst
//skel    _field->Hr_Previst := m_Hr_Previst
//skel    _field->Situacao := m_Situacao
//skel    _field->Solucao := zCrObs
//skel    DBCLOSEAREA()
//skel    DbSelectArea("HC_RETDI")
//skel    RegLock()
//skel    _field->IdOperador := m_idOperador
//skel    _field->CodAssunto := m_CodAssunto
//skel    _field->fVendedor := m_fVendedor
//skel    _field->fVendRetor := m_fVendRetor
//skel    _field->Dt_Previst := m_Dt_Previst
//skel    _field->Hr_Previst := m_Hr_Previst
//skel    _field->Situacao := m_Situacao
//skel    DbCommit()
//skel ENDIF
//skel #FIM_TEXTO_FONTE
   
IF(modus<>NIL,SetWindowText( oDlg:handle, modus ),)
SET(5,1960)

IF zOptReagend=2 .OR. zOptReagend=3
   IF zOptReagend=3
      oL3:SetText("Motivo do Encerramento da Cobranca:")
      oL3:Refresh()
      ol2:Hide()
      ol5:Hide()
      ol6:Hide()
      oDiasParaProxRetorno:Hide()
      oDt_Previst:Hide()
      oHr_Previst:Hide()
   ELSE
      oL3:SetText("Lembrete para o dia da Checagem:")
   ENDIF
   oRadGroupEmail:Hide()
   oRadioButton1:Hide()
   oRadioButton2:Hide()
   oRadioButton3:Hide()
   oRadioButton4:Hide()
   oRadioButton5:Hide()
ENDIF]]>
  </method>
  <part class="container">
    <style>
      <property name="Geometry">{12,86,358,411}</property>
      <property name="Name">[oContainer1]</property>
      <property name="TabIndex">0</property>
    </style>
    <part class="label">
      <style>
        <property name="Geometry">{18,94,318,19}</property>
        <property name="Name">[oSaywPrincipal]</property>
        <property name="Caption">
[Total em Aberto sem deducao dos adiantamentos]        </property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="700"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">7</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{18,356,350,55}</property>
        <property name="Name">[owJuros]</property>
        <property name="varName">[wJuros]</property>
        <property name="TextColor">213</property>
        <property name="BackColor">4194304</property>
        <property name="font">
          <font name="Arial" width="0" height="-48" weight="400"/>
        </property>
        <property name="Justify">[Right]</property>
        <property name="cPicture">[@e 99,999.99]</property>
        <property name="nMaxLength">11</property>
        <property name="Border">.F.</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">8</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[.f.]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{18,437,350,53}</property>
        <property name="Name">[owSaldo]</property>
        <property name="varName">[wSaldo]</property>
        <property name="TextColor">16777215</property>
        <property name="BackColor">4194304</property>
        <property name="font">
          <font name="Arial" width="0" height="-48" weight="700"/>
        </property>
        <property name="Justify">[Right]</property>
        <property name="cPicture">[@e 99,999.99]</property>
        <property name="nMaxLength">11</property>
        <property name="Border">.F.</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">9</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[_DUPLCLI->(DBGOTOP(),Brow_Db("SCCRDUP_CLI1_COB"), DBGOTOP())]]>
      </method>
      <method name="onGetFocus">
        <![CDATA[.f.]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{18,415,206,19}</property>
        <property name="Name">[oSaywSaldo]</property>
        <property name="Caption">[Total a Receber]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-16" weight="700"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">10</property>
      </style>
    </part>
  </part>
  <part class="container">
    <style>
      <property name="Geometry">{416,51,466,31}</property>
      <property name="Name">[oContainer2]</property>
      <property name="TabIndex">0</property>
    </style>
    <part class="editbox">
      <style>
        <property name="Geometry">{476,56,100,22}</property>
        <property name="Name">[om_cr_limite]</property>
        <property name="varName">[m_cr_limite]</property>
        <property name="TextColor">12632256</property>
        <property name="BackColor">4194304</property>
        <property name="font">
          <font name="Arial" width="0" height="-16" weight="700"/>
        </property>
        <property name="Justify">[Right]</property>
        <property name="cPicture">[@e 9999,999.99]</property>
        <property name="nMaxLength">11</property>
        <property name="Border">.F.</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">2</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[.f.]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{422,57,50,21}</property>
        <property name="Name">[oSaym_cr_limite]</property>
        <property name="Caption">[Limite:]</property>
        <property name="Justify">[Right]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-16" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">3</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{664,56,100,22}</property>
        <property name="Name">[owLimiteDisponivel]</property>
        <property name="varName">[wLimiteDisponivel]</property>
        <property name="TextColor">8454016</property>
        <property name="BackColor">4194304</property>
        <property name="font">
          <font name="Arial" width="0" height="-16" weight="700"/>
        </property>
        <property name="Justify">[Right]</property>
        <property name="cPicture">[@e 9999,999.99]</property>
        <property name="nMaxLength">11</property>
        <property name="Border">.F.</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">3</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[.f.]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{580,57,83,21}</property>
        <property name="Name">[oSaywLimiteDisponivel]</property>
        <property name="Caption">[Disponivel:]</property>
        <property name="Justify">[Right]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-16" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">4</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{846,56,31,22}</property>
        <property name="Name">[om_cr_tip_des]</property>
        <property name="varName">[m_cr_tip_des]</property>
        <property name="TextColor">12632256</property>
        <property name="BackColor">4194304</property>
        <property name="font">
          <font name="Arial" width="0" height="-16" weight="700"/>
        </property>
        <property name="Justify">[Right]</property>
        <property name="cPicture">[99]</property>
        <property name="nMaxLength">2</property>
        <property name="Border">.F.</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">4</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[.f.]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{767,57,77,21}</property>
        <property name="Name">[oSaym_cr_tip_des]</property>
        <property name="Caption">[OpVenda:]</property>
        <property name="Justify">[Right]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-16" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">5</property>
      </style>
    </part>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{12,0,103,41}</property>
      <property name="Name">[ofCli]</property>
      <property name="varName">[m_fCli]</property>
      <property name="font">
        <font name="Arial" width="0" height="-32" weight="700"/>
      </property>
      <property name="cPicture">[999999]</property>
      <property name="nMaxLength">6</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">1</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{125,0,440,41}</property>
      <property name="Name">[owcCrNome]</property>
      <property name="varName">[wcCrNome]</property>
      <property name="font">
        <font name="Arial" width="0" height="-32" weight="700"/>
      </property>
      <property name="cPicture">[@S40]</property>
      <property name="nMaxLength">40</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">1</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{868,472,157,16}</property>
      <property name="Name">[oLabel1]</property>
      <property name="Caption">[Ctrl+Enter: Nova Linha]</property>
      <property name="AutoSize">.T.</property>
      <property name="Anchor">6</property>
      <property name="font">
        <font name="Courier New" width="0" height="-12" weight="700"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">2</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{379,290,462,19}</property>
      <property name="Name">[oL3]</property>
      <property name="Caption">[Lembrete para proxima Checagem:]</property>
      <property name="AutoSize">.T.</property>
      <property name="Anchor">6</property>
      <property name="TextColor">16711680</property>
      <property name="font">
        <font name="Courier New" width="0" height="-16" weight="700"/>
      </property>
      <property name="TabIndex">2</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{846,295,179,16}</property>
      <property name="Name">[oLabel10]</property>
      <property name="Caption">[Alt+O  Confirma Digitacao]</property>
      <property name="AutoSize">.T.</property>
      <property name="Anchor">6</property>
      <property name="font">
        <font name="Courier New" width="0" height="-12" weight="700"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">2</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{550,242,55,22}</property>
      <property name="Name">[oDiasParaProxRetorno]</property>
      <property name="varName">[zDiasParaProxRetorno]</property>
      <property name="TextColor">8454016</property>
      <property name="BackColor">4194304</property>
      <property name="font">
        <font name="Arial" width="0" height="-16" weight="700"/>
      </property>
      <property name="Justify">[Right]</property>
      <property name="cPicture">[999]</property>
      <property name="nMaxLength">3</property>
      <property name="Border">.F.</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">3</property>
    </style>
    <method name="onLostFocus">
      <![CDATA[m_Dt_Previst := s_datual + zDiasParaProxRetorno 
oDt_Previst:Refresh()
IF zDiasParaProxRetorno<0
   ALERT("A data do proximo retorno deve ser maior que a data atual")
endif
RETURN zDiasParaProxRetorno >= 0]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{729,242,91,22}</property>
      <property name="Name">[oDt_Previst]</property>
      <property name="varName">[m_Dt_Previst]</property>
      <property name="TextColor">8454016</property>
      <property name="BackColor">4194304</property>
      <property name="font">
        <font name="Arial" width="0" height="-16" weight="700"/>
      </property>
      <property name="Justify">[Right]</property>
      <property name="cPicture">[99.99.9999]</property>
      <property name="nMaxLength">10</property>
      <property name="Border">.F.</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">4</property>
    </style>
    <method name="onLostFocus">
      <![CDATA[zDiasParaProxRetorno := m_Dt_Previst - s_datual 
oDiasParaProxRetorno:Refresh()
IF m_Dt_Previst<s_datual
   ALERT("A data do proximo retorno deve ser maior que a data atual")
endif
RETURN m_Dt_Previst>=s_datual]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{883,242,91,22}</property>
      <property name="Name">[oHr_Previst]</property>
      <property name="varName">[m_Hr_Previst]</property>
      <property name="TextColor">8454016</property>
      <property name="BackColor">4194304</property>
      <property name="font">
        <font name="Arial" width="0" height="-16" weight="700"/>
      </property>
      <property name="Justify">[Right]</property>
      <property name="cPicture">[99:99]</property>
      <property name="nMaxLength">5</property>
      <property name="Border">.F.</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">5</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{377,89,645,126}</property>
      <property name="Name">[oProblemaComProvidencias]</property>
      <property name="varName">[m_leitura]</property>
      <property name="Anchor">6</property>
      <property name="Multiline">.T.</property>
      <property name="nMaxLength">10</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">5</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{379,312,645,157}</property>
      <property name="Name">[ozCrObs]</property>
      <property name="varName">[zCrObs]</property>
      <property name="Anchor">6</property>
      <property name="Multiline">.T.</property>
      <property name="nMaxLength">10</property>
      <property name="ToolTip">
[Indique aqui o resultado da tentativa de contato, e/ou o motivo do reagendamento ou pedido de encerramento da cobranca]      </property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">6</property>
    </style>
    <method name="onLostFocus">
      <![CDATA[IF EMPTY(zCrObs)
   se zOptReagend=1 entao ALERT("Voce precisa indicar o motivo do Reagendamento")
   se zOptReagend=2 entao ALERT("Voce precisa indicar um lembrete para a data da checagem se o cliente pagou ou nao !")
   se zOptReagend=3 entao ALERT("Voce precisa indicar o motivo para encerrar a cobranca com prejuizo")
   RETURN .f.
ENDIF
RETURN .t.
]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{19,115,350,58}</property>
      <property name="Name">[owPrincipal]</property>
      <property name="varName">[wPrincipal]</property>
      <property name="TextColor">16711680</property>
      <property name="BackColor">4194304</property>
      <property name="font">
        <font name="Arial" width="0" height="-48" weight="400"/>
      </property>
      <property name="Justify">[Right]</property>
      <property name="cPicture">[@e 99,999.99]</property>
      <property name="nMaxLength">11</property>
      <property name="Border">.F.</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">6</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{19,196,350,58}</property>
      <property name="Name">[owAtrasos]</property>
      <property name="varName">[wAtrasos]</property>
      <property name="TextColor">213</property>
      <property name="BackColor">4194304</property>
      <property name="font">
        <font name="Arial" width="0" height="-48" weight="400"/>
      </property>
      <property name="Justify">[Right]</property>
      <property name="cPicture">[@e 99,999.99]</property>
      <property name="nMaxLength">11</property>
      <property name="Border">.F.</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">7</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{19,276,350,58}</property>
      <property name="Name">[owAdiantamentos]</property>
      <property name="varName">[wAdiantamentos]</property>
      <property name="TextColor">968993</property>
      <property name="BackColor">4194304</property>
      <property name="font">
        <font name="Arial" width="0" height="-48" weight="400"/>
      </property>
      <property name="Justify">[Right]</property>
      <property name="cPicture">[@e 99,999.99]</property>
      <property name="nMaxLength">11</property>
      <property name="Border">.F.</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">7</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{19,175,324,19}</property>
      <property name="Name">[oSaywAtrasos]</property>
      <property name="Caption">
[Total em Atraso - sem deducao dos adiantamentos]      </property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="700"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">8</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{19,256,280,19}</property>
      <property name="Name">[oLabel4]</property>
      <property name="Caption">[Saldo de Adiantamentos + Notas de Credito]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="700"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">8</property>
    </style>
    <method name="onClick">
      <![CDATA[Relat('lst_exec("BORDCOB00")',"nb",,"X")]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{19,336,206,19}</property>
      <property name="Name">[oSaywJuros]</property>
      <property name="Caption">[Juros/Correcao]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="700"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">9</property>
    </style>
  </part>
  <part class="radiogroup">
    <style>
      <property name="Geometry">{385,498,554,130}</property>
      <property name="Name">[oRadGroupEmail]</property>
      <property name="varName">[zOpcaoEmail]</property>
      <property name="Caption">[Enviar Email de Notificacao]</property>
      <property name="TextColor">16711680</property>
      <property name="TabIndex">9</property>
    </style>
    <part class="radiobutton">
      <style>
        <property name="Geometry">{393,517,541,22}</property>
        <property name="Name">[oRadiobutton5]</property>
        <property name="Caption">[Nao enviar EMAIL de notificacao do Debito]</property>
        <property name="TabIndex">7</property>
      </style>
      <method name="onClick">
        <![CDATA[oRadGroupEmail:oGroup:nValue := 1]]>
      </method>
    </part>
    <part class="radiobutton">
      <style>
        <property name="Geometry">{393,538,541,22}</property>
        <property name="Name">[oRadiobutton1]</property>
        <property name="Caption">
[Enviar EMAIL Informando que há debito em Atraso e convidando a comparecer]        </property>
        <property name="TabIndex">8</property>
      </style>
      <method name="onClick">
        <![CDATA[oRadGroupEmail:oGroup:nValue := 2
DlgEmail()]]>
      </method>
    </part>
    <part class="radiobutton">
      <style>
        <property name="Geometry">{393,558,541,22}</property>
        <property name="Name">[oRadiobutton2]</property>
        <property name="Caption">
[Enviar EMAIL Solicitando Pagamento do debito em Atraso]        </property>
        <property name="TabIndex">9</property>
      </style>
      <method name="onClick">
        <![CDATA[oRadGroupEmail:oGroup:nValue := 3]]>
      </method>
    </part>
    <part class="radiobutton">
      <style>
        <property name="Geometry">{393,577,541,22}</property>
        <property name="Name">[oRadiobutton3]</property>
        <property name="Caption">
[Enviar EMAIL informando que pela falta de Pagamento, lancou no SERASA/SPC]        </property>
        <property name="TabIndex">10</property>
      </style>
      <method name="onClick">
        <![CDATA[oRadGroupEmail:oGroup:nValue := 4]]>
      </method>
    </part>
    <part class="radiobutton">
      <style>
        <property name="Geometry">{393,596,541,22}</property>
        <property name="Name">[oRadiobutton4]</property>
        <property name="Caption">
[Enviar EMAIL informando que esta enviando para o Juridico]        </property>
        <property name="TabIndex">11</property>
      </style>
      <method name="onClick">
        <![CDATA[oRadGroupEmail:oGroup:nValue := 5]]>
      </method>
    </part>
  </part>
  <part class="ownerbutton">
    <style>
      <property name="Geometry">{342,254,25,22}</property>
      <property name="Name">[oOwnerbutton1]</property>
      <property name="BtnBitmap">[smPreview]</property>
      <property name="lResource">.T.</property>
      <property name="TabIndex">13</property>
    </style>
    <method name="onClick">
      <![CDATA[PSQ_BROW('SX_NC','PSXNC_CLI','M_FCLI','N','N',0,0,'','','','EXIBA')]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{645,235,68,40}</property>
      <property name="Name">[ol5]</property>
      <property name="Caption">[Data Prox Retorno:]</property>
      <property name="Justify">[Right]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Courier New" width="0" height="-12" weight="700"/>
      </property>
      <property name="TabIndex">13</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{419,231,122,48}</property>
      <property name="Name">[ol2]</property>
      <property name="Caption">[Reagendar Proximo Retorno para Quantos Dias ?]</property>
      <property name="Justify">[Right]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Courier New" width="0" height="-12" weight="700"/>
      </property>
      <property name="TabIndex">13</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{841,243,34,19}</property>
      <property name="Name">[ol6]</property>
      <property name="Caption">[Hora:]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Courier New" width="0" height="-12" weight="700"/>
      </property>
      <property name="TabIndex">14</property>
    </style>
  </part>
  <part class="button">
    <style>
      <property name="Geometry">{954,582,64,20}</property>
      <property name="Name">[oBotaoOk]</property>
      <property name="Id">[IDOK]</property>
      <property name="Caption">[&amp;OK]</property>
      <property name="font">
        <font name="Arial" width="0" height="-16" weight="400"/>
      </property>
      <property name="TabIndex">100</property>
    </style>
  </part>
  <part class="button">
    <style>
      <property name="Geometry">{954,606,64,20}</property>
      <property name="Name">[oOwnerbutton2]</property>
      <property name="Id">[IDCANCEL]</property>
      <property name="Caption">[&amp;Cancela]</property>
      <property name="font">
        <font name="Arial" width="0" height="-16" weight="400"/>
      </property>
      <property name="TabIndex">1001</property>
    </style>
  </part>
  <part class="group">
    <style>
      <property name="Geometry">{586,0,266,48}</property>
      <property name="Name">[oGroup1]</property>
      <property name="TabIndex">1002</property>
    </style>
    <part class="editbox">
      <style>
        <property name="Geometry">{595,9,28,18}</property>
        <property name="Name">[ofVendRetor]</property>
        <property name="varName">[m_fVendRetor]</property>
        <property name="nMaxLength">3</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">4</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[PSQ_BROW('VB_COBRA','PVBCOBRA','M_FVENDRETOR','N','N',14,42,'NOME','@S30','',,ofvendretor,osoSayfvendretor)]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{596,26,21,18}</property>
        <property name="Name">[oSituacao]</property>
        <property name="varName">[m_situacao]</property>
        <property name="nMaxLength">2</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">5</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[CHK_LASTKEY(5) .OR. PSQ_BROW('SIT_OBS','PSIT_OBS','M_SITUACAO','N','N',105,42,'DESCRICAO','@S10','',,osituacao,osoSaysituacao)]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{650,11,188,16}</property>
        <property name="Name">[oSoSayFvendRetor]</property>
        <property name="Caption">[...]</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="Border">.T.</property>
        <property name="TabIndex">16</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{650,28,188,16}</property>
        <property name="Name">[oSoSaySituacao]</property>
        <property name="Caption">[...]</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="Border">.T.</property>
        <property name="TabIndex">17</property>
      </style>
    </part>
    <part class="ownerbutton">
      <style>
        <property name="Geometry">{629,11,16,16}</property>
        <property name="Name">[oBoFvendRetor]</property>
        <property name="BtnBitmap">[smPreview]</property>
        <property name="lResource">.T.</property>
        <property name="TabIndex">18</property>
      </style>
      <method name="onClick">
        <![CDATA[PSQ_BROW('VB_COBRA','PVBCOBRA','M_FVENDRETOR','N','N',14,42,'NOME','@S30','','EXIBA',ofvendretor,osoSayfvendretor)]]>
      </method>
    </part>
    <part class="ownerbutton">
      <style>
        <property name="Geometry">{629,28,16,16}</property>
        <property name="Name">[obOsituacao]</property>
        <property name="BtnBitmap">[smPreview]</property>
        <property name="lResource">.T.</property>
        <property name="TabIndex">19</property>
      </style>
      <method name="onClick">
        <![CDATA[PSQ_BROW('SIT_OBS','PSIT_OBS','M_SITUACAO','N','N',105,42,'DESCRICAO','@S10','','EXIBA',osituacao,osoSaysituacao)]]>
      </method>
    </part>
  </part>
  <part class="group">
    <style>
      <property name="Geometry">{12,39,391,46}</property>
      <property name="Name">[oGroup2]</property>
      <property name="TabIndex">1013</property>
    </style>
    <method name="onPaint">
      <![CDATA[//skel Variavel zDiasParaProxRetorno := if(m_Dt_Previst-s_Datual>0,m_Dt_Previst-s_Datual,0)
//
//skel COMANDO DEPOIS #TEXTO_FONTE
//skel    ABRA("0NOIDX", r_siga, "HC_RETMV", "HC_RETMV", "HC_RETMV", "IDOS", "HCRETMVC", "STR(cr_cod_cli,6) + Str(999999999-Val(Dtos(data)))")
//skel    appendblank()
//skel    _field->IdOs := m_idos
//skel    _field->data := s_datual
//skel    _field->hora := TIME()
//skel    _field->IdOperador := m_idOperador
//skel    _field->CodAssunto := m_CodAssunto
//skel    _field->fVendedor := m_fVendedor
//skel    _field->fVendRetor := m_fVendRetor
//skel    _field->Dt_Previst := m_Dt_Previst
//skel    _field->Hr_Previst := m_Hr_Previst
//skel    _field->Situacao := m_Situacao
//skel    _field->Solucao := m_Solucao
//skel    DBCLOSEAREA()
//skel #FIM_TEXTO_FONTE
   
IF(modus<>NIL,SetWindowText( oDlg:handle, modus ),)
SET(5,1960)

IF zOptReagend=2 .OR. zOptReagend=3
   IF zOptReagend=3
      oL3:SetText("Motivo do Encerramento da Cobranca:")
      oL3:Refresh()
      ol2:Hide()
      ol5:Hide()
      ol6:Hide()
      oDiasParaProxRetorno:Hide()
      oDt_Previst:Hide()
      oHr_Previst:Hide()
   ELSE
      oL3:SetText("Lembrete para o dia da Checagem:")
   ENDIF
   oRadioGroup1:Hide()
   oRadioButton1:Hide()
   oRadioButton2:Hide()
   oRadioButton3:Hide()
   oRadioButton4:Hide()
   oRadioButton5:Hide()
ENDIF]]>
    </method>
    <part class="editbox">
      <style>
        <property name="Geometry">{332,54,63,18}</property>
        <property name="Name">[oidOperador]</property>
        <property name="varName">[m_idOperador]</property>
        <property name="nMaxLength">8</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">1</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[.f.]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{33,54,70,18}</property>
        <property name="Name">[oIdOs]</property>
        <property name="varName">[m_IdOs]</property>
        <property name="cPicture">[999999]</property>
        <property name="nMaxLength">6</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">2</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[.f.]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{171,54,78,18}</property>
        <property name="Name">[oData]</property>
        <property name="varName">[m_Data]</property>
        <property name="Justify">[Right]</property>
        <property name="cPicture">[99.99.9999]</property>
        <property name="nMaxLength">10</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">2</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[.f.]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{252,54,51,18}</property>
        <property name="Name">[oHora]</property>
        <property name="varName">[m_hora]</property>
        <property name="cPicture">[99:99]</property>
        <property name="nMaxLength">5</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">2</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[.f.]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{16,54,17,19}</property>
        <property name="Name">[oLabel7]</property>
        <property name="Caption">[OS]</property>
        <property name="BackColor">16777215</property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">1006</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{117,54,52,19}</property>
        <property name="Name">[oLabel8]</property>
        <property name="Caption">[Dt/Hora]</property>
        <property name="BackColor">16777215</property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">1006</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{306,54,20,19}</property>
        <property name="Name">[oLabel9]</property>
        <property name="Caption">[hs]</property>
        <property name="BackColor">16777215</property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">1006</property>
      </style>
    </part>
  </part>
</part>
